Overview | Package | Class | Tree | Deprecated | Index | Help
| Qizx/Open v0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.xfra.qizxopen.xquery.dm
Class CoreDataModel

    java.lang.Object
      |
      +--net.xfra.qizxopen.xquery.dm.CoreDataModel

public class CoreDataModel
extends java.lang.Object

Basic in-core Implementation of XQuery Data Model. Used for constructed tree fragments.

Field Summary
`static int` | `CreatedElements`
`static int` | `CreatedText`

Constructor Summary
`CoreDataModel()`

Method Summary
`static net.xfra.qizxopen.xquery.dm.CoreDataModel.Attribute` | `newAttribute(QName name)`
`static net.xfra.qizxopen.xquery.dm.CoreDataModel.CommentNode` | `newCommentNode()`
`static net.xfra.qizxopen.xquery.dm.CoreDataModel.Document` | `newDocumentNode()`
`static net.xfra.qizxopen.xquery.dm.CoreDataModel.Element` | `newElement(QName name)`
`static net.xfra.qizxopen.xquery.dm.CoreDataModel.NSNode` | `newNSNode(java.lang.String prefix)`
`static net.xfra.qizxopen.xquery.dm.CoreDataModel.PINode` | `newPINode(java.lang.String target)`
`static net.xfra.qizxopen.xquery.dm.CoreDataModel.TextNode` | `newTextNode()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CreatedElements

    public static int CreatedElements

### CreatedText

    public static int CreatedText

Constructor Detail

### CoreDataModel

    public CoreDataModel()

Method Detail

### newDocumentNode

    public static net.xfra.qizxopen.xquery.dm.CoreDataModel.Document newDocumentNode()

### newElement

    public static net.xfra.qizxopen.xquery.dm.CoreDataModel.Element newElement(QName name)

### newAttribute

    public static net.xfra.qizxopen.xquery.dm.CoreDataModel.Attribute newAttribute(QName name)

### newNSNode

    public static net.xfra.qizxopen.xquery.dm.CoreDataModel.NSNode newNSNode(java.lang.String prefix)

### newTextNode

    public static net.xfra.qizxopen.xquery.dm.CoreDataModel.TextNode newTextNode()

### newPINode

    public static net.xfra.qizxopen.xquery.dm.CoreDataModel.PINode newPINode(java.lang.String target)

### newCommentNode

    public static net.xfra.qizxopen.xquery.dm.CoreDataModel.CommentNode newCommentNode()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright Xavier FRANC 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD